<?php
  //include('seguridad.php')
require_once("../../../../dompdf/dompdf_config.inc.php");
require_once "../../../../dompdf/www/functions.inc.php";


require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/bs_info_col.php';
require_once '../rangos.php';


$periodo=$_REQUEST['per'];
$codigo=$_REQUEST['cod'];


function truncateFloat($number, $digitos)
{
    $raiz = 10;
    $multiplicador = pow ($raiz,$digitos);
    $resultado = ((int)($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);

}


function boletin($codigo,$grado,$curso,$periodo){

       $obj = new database();


      $obj->conectar(); $obj->consulta("set names 'utf8'");
      

      $resultado=$obj->consulta("select curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, curso_asignatura_profesor.asignatura, catalogo.descripcion, curso_asignatura_profesor.intensidad, profesores.nombres
                                from profesores inner join (catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura) on profesores.cedula = curso_asignatura_profesor.profesor
                                where (((curso_asignatura_profesor.grado)='".$grado."') and ((curso_asignatura_profesor.curso)='".$curso."')) order by catalogo.orden");

      $n=$obj->numero_de_filas($resultado);

      if ($n>0){

          $s="";
          $sw="";

          while($row = $obj->fetch_assoc($resultado)){  //  ---  ASIGNATURAS  --

             $notas=$obj->consulta("select boletin.periodo, boletin.asignatura, boletin.grado, boletin.curso, detalleboletin.alumno, 
                                  detalleboletin.definitiva, detalleboletin.valor_asigna, detalleboletin.secuencial, detalleboletin.fallas
                                   from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                   where boletin.periodo='".$periodo."' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

               $sw="true";

               while($row1 = $obj->fetch_assoc($notas)  ){  //  ---  NOTAS  --


                     if ($sw=="true"){

                         $s.="<center><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='95%'>";
                         $s.="<tr>";
//                                           
                         $s.="<td style='font-weight:bold;background-color:#E6E6E6;' width='50%'><font size='2'> ".($row['descripcion'])."</font><br><font size='1'>DOCENTE :  ".  ($row['nombres'])."</font></td>";
                        
                         $s.="<td style='font-weight:bold;text-align:center;background-color:#E6E6E6;font-size: 11px' > I_H:   ".$row['intensidad']."</td>";
                         $s.="<td style='font-weight:bold;text-align:center;background-color:#E6E6E6;font-size: 11px' > AUSENCIAS :  ".$row1['fallas']."</td>";
                         
                         //-----------------------------------------------------
                         if ($periodo=="2"){  // Mostrar la nota de periodos anteriores
                            
                             $p1=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='1' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p1 = $obj->fetch_assoc($p1);
                             $s.="<td style='font-weight:bold;text-align:center;background-color:#E6E6E6;font-size: 11px' > P1==> :  ".$nota_p1['definitiva']."</td>";
                         }

                         //-----------------------------------------------------
                         if ($periodo=="3"){  // Mostrar la nota de periodos anteriores

                             $p1=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='1' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p1 = $obj->fetch_assoc($p1);
                             $s.="<td style='font-weight:bold;text-align:center;background-color:#E6E6E6;font-size: 11px' > P1==> :  ".$nota_p1['definitiva']."</td>";

                             /*---------------------*/
                             $p2=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='2' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p2 = $obj->fetch_assoc($p2);
                             $s.="<td style='font-weight:bold;text-align:center;background-color:#E6E6E6;font-size: 11px' > P2==> :  ".$nota_p2['definitiva']."</td>";
                         }

                         //-----------------------------------------------------
                         if ($periodo=="4"){  // Mostrar la nota de periodos anteriores

                             $p1=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='1' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p1 = $obj->fetch_assoc($p1);
                             $s.="<td style='font-weight:bold;text-align:center;background-color:#E6E6E6;font-size: 11px' > P1==> :  ".$nota_p1['definitiva']."</td>";

                             /*---------------------*/
                             $p2=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='2' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p2 = $obj->fetch_assoc($p2);
                             $s.="<td style='font-weight:bold;text-align:center;background-color:#E6E6E6;font-size: 11px' > P2==> :  ".$nota_p2['definitiva']."</td>";

                             /*---------------------*/
                             $p3=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='3' and boletin.asignatura='".$row['asignatura']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p3 = $obj->fetch_assoc($p3);
                             $s.="<td style='font-weight:bold;text-align:center;background-color:#E6E6E6;font-size: 11px' > P3==> :  ".$nota_p3['definitiva']."</td>";


                             }
                         //-----------------------------------------------------



//                         $s.="</tr>";
//
//                         $s.="<tr>";
//                         $s.="<td style='font-weight:bold;background-color:#E6E6E6;font-size: 11px'> DOCENTE :  ".  ($row['nombres'])."</td>";
//                         $s.="</tr>";
                         $s.="</table></center>";
                         $sw="false";
                     }

                     $logros=$obj->consulta("select numero_logro, valor_logro,orden from indicadores
                                            where detalle_boletin=".$row1['secuencial']." order by orden");

                     $s.="<center><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='95%'>";

                     while($row2 = $obj->fetch_assoc($logros)  ){  //  ---  LOGROS  --


                          $descrip_logro=$obj->consulta("select descripcion from logros where grado='".$grado."' and curso='".$curso."' and asignatura='".$row['asignatura']."' and periodo='".$periodo."' and codigo='".$row2['numero_logro']."'");
                          $row3 = $obj->fetch_assoc($descrip_logro);

                          $s.="<tr>";

                          if ($row2['numero_logro']<=5){
                              $s.="<td align='center' style='font-size: 12px; font-weight:bold' width='15'>".$row2['numero_logro']."</td>";
                              
                              if($row3['descripcion']==''){
                                  $s.="<td style='font-size: 11px' width='420'>.</td>";
                              
                              }else{
                                  $s.="<td style='font-size: 11px' width='420'>".($row3['descripcion'])."</td>";
                              }
                              
                              $s.="<td align='center' style='font-size: 12px; font-weight:bold'>".$row2['valor_logro']."</td>";
                          }
                          else{

                              $s.="<td></td>";
                              if ($row2['numero_logro']==6){
                                  $s.="<td style='font-weight:bold; font-size: 11px'  colspan='2'>".($row3['descripcion'])."</td>";
                              }
                              else{
                                  $s.="<td style='font-size: 11px' colspan='2'>".($row3['descripcion'])."</td>";
                              }
                              
                          }
                          
                          $s.="</tr>";
                    }

//                    $s.="</table></center>";
//
//
//                    $s.="<center><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='95%' >";
                    $s.="<tr>";
                    $s.="<td colspan='2' style='font-weight:bold;text-align:right;background-color:#E6E6E6;font-size: 11px'> ".($row1['valor_asigna'])." &nbsp;&nbsp;&nbsp; DEFINITIVA :  &nbsp;</td><td style='font-weight:bold;text-align:center;background-color:#E6E6E6;font-size: 11px' width='57'>".$row1['definitiva']."</td>";
                    $s.="</tr>";
                    $s.="</table></center><br>";

              }

          }

          /*---- HALLAR PROMEDIO DEL PERIODO ----- */

          $query=$obj->consulta("select avg(definitiva) as promedio from (catalogo inner join boletin on catalogo.codigo = boletin.asignatura) inner join detalleboletin on boletin.numero = detalleboletin.boletin
                       where (((boletin.periodo)='".$periodo."') and ((boletin.grado)='".$grado."') and ((boletin.curso)='".$curso."') and ((detalleboletin.alumno)='".$codigo."') and ((catalogo.promediar)='SI'))");

          $prom = $obj->fetch_assoc($query);
          
          $s.="<center><table width='90%' >";
          $s.="<tr><td style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 12px'>"."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;PROMEDIO  GENERAL    : ".truncateFloat($prom['promedio'],3)."</td></tr>";
          $s.="</table></center>";

          /* ----- NIVEL DE DESEMPE�O ---- */

          $s.="<center><table width='90%'>";
          $s.="<tr><td style='font-family: verdana,arial,sans-serif;font-weight:bold;font-size: 12px'>"."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;NIVEL DE DESEMPE&Ntilde;O : ".  (calculardef($prom['promedio']))."</td></tr>";
          $s.="</table></center><br><br>";



          /*-----TITULAR ----- */
          $query1=$obj->consulta("select profesores.nombres as titular from profesores inner join titulares on profesores.cedula = titulares.profesor
                                where titulares.grado='".$grado."' and titulares.curso='".$curso."'");

          $titu = $obj->fetch_assoc($query1);

          $s.="<center><table  border='0' width='95%'>";
          $s.="<tr><td style='text-align:center;font-weight:bold;font-size: 14px;font-family: verdana,arial,sans-serif;'>___________________________</td></tr>";
          $s.="<tr><td style='text-align:center;font-weight:bold;font-size: 12px;font-family: verdana,arial,sans-serif;'>".($titu['titular'])."</td></tr>";
          $s.="<tr><td style='text-align:center;font-weight:bold;font-size: 11px;font-family: verdana,arial,sans-serif;'>Titular</td></tr>";
          $s.="</table></center>";

          return $s;

      }
      else{
          return "<H1>NO EXISTE</H1>";
      }

          
      $obj->disconnect();
}


function descript($tabla,$cod,$cod2){
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $rs=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$cod2."';");
    $info=$obj->fetch_assoc($rs);
    return $info['descripcion'];
}


$obj = new database();
$obj->conectar(); $obj->consulta("set names 'utf8'");


//-------------------------- Informacion Colegio
$rs=$obj->consulta("select * from registrar");
$info=$obj->fetch_assoc($rs);

//--------------------------
$rsinfoalumno=$obj->consulta("select * from matriculas where codigo='".$codigo."' and estado='A';");
$infoalumno=$obj->fetch_assoc($rsinfoalumno);

//-------------------------- Informacion Personal Alumno
$rsinfoalumno_per=$obj->consulta("select * from alumnos where codigo='".$infoalumno['codigo']."'");
$infoalumno_per=$obj->fetch_assoc($rsinfoalumno_per);


//--------------------------- Informacion Curso
$rscur=$obj->consulta("select * from cursos where codigo='".$infoalumno['curso']."' and grado='".$infoalumno['grado']."';");
$infocur=$obj->fetch_assoc($rscur);

//--------------------------- Informacion Jornada
$rsjor=$obj->consulta("select * from jornadas where codigo='".$infocur['jornada']."';");
$info_jor=$obj->fetch_assoc($rsjor);

$informacion=boletin($codigo,$infoalumno['grado'],$infoalumno['curso'],$periodo);

$rsper=$obj->consulta("select * from periodos where codigo='".$periodo."';");
$info_per=$obj->fetch_assoc($rsper);
$obj->disconnect();
//print_r($info);
$html="
<html>
<head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'>

<title>Boletin Acad&eacute;mico</title>  
    <style>
  
       .normal {
          width: 690px;
          border: 1px solid #000;
          border-collapse: collapse;
        }
        .normal th, .normal td {
          border: 2px solid #000;
        }
</style>
</head>

<body>

</center>
<table><tr><td  width='30'>&nbsp;</td><td  width='15'>&nbsp;</td><td width='85'>
<img height='70' width='70' src='../../../../fotografias/".$info['escudo']."'/>
    &nbsp;&nbsp;&nbsp;
</td><td align='center'>
    <b>".$info['institucion']."</b>
    <br>
    Sede No.".$infocur['sede']."
    <br>
    ".$info['municipio']."
    <br>
    INFORME ACAD&Eacute;MICO - A&Ntilde;O LECTIVO ".date('Y')."
    </td>
</tr>
</table> 
    <br>
    <table style='font-size: 12px'  border='1' align='center'>
        <tr>
            <td width='75' >C&Oacute;DIGO: &nbsp; <b>".$infoalumno['codigo']."</b></td>
                
            <td width='350' >NOMBRE ESTUDIANTE: &nbsp; <b>".$infoalumno_per['p_apellido']." ".$infoalumno_per['s_apellido']." ".$infoalumno_per['p_nombre']." ".$infoalumno_per['s_nombre']."</b></td>
            
            <td >CALENDARIO: &nbsp; <b>A</b></td>    
           
        </tr>
         <tr>
            <td colspan='3' >
                GRADO: &nbsp; <b>".$infocur['descripcion']."</b>
                     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                JORNADA: &nbsp; <b>".$info_jor['descripcion']."</b>
                    
                
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                
                RESOLUCI&Oacute;N No. &nbsp; <b>".$info['registroeducativo']."</b>
                    
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                
                PER&Iacute;ODO: <b>".$info_per['descripcion']."</b></td>
       </tr>  
    </table>
    </center>    
    
    <br>
    <br>


 ".$informacion."



</body>
</html>";

//echo $html;

$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
$dompdf->render();

$dompdf->stream("boletin.pdf", array("Attachment" => false));
  
//     $dompdf = new DOMPDF();
//    $dompdf->load_html($html);
//     $dompdf->set_paper('letter', 'portrait');
//    $dompdf->render();
//    $output = $dompdf->output();
//    file_put_contents('Brochure'.$in.'.pdf', $output);
    
?>